FROM nginx
MAINTAINER xin.lu
VOLUME /tmp
ENV LANG en_US.UTF-8
RUN echo "server {  \
                      listen       81; \
                      client_max_body_size 50M; \
                      location   /api/ { \
                      proxy_pass              http://192.168.3.91:8084/; \
                      proxy_redirect          off; \
                      proxy_set_header        Host mes-pad; \
                      proxy_set_header        X-Real-IP \$remote_addr; \
                      proxy_set_header        X-Forwarded-For \$proxy_add_x_forwarded_for; \
                  } \
                  #解决Router(mode: 'history')模式下，刷新路由地址不能找到页面的问题 \
                  location / { \
                     root   /var/mes/mes-pad/; \
                      index  index.html index.htm; \
                      if (!-e \$request_filename) { \
                          rewrite ^(.*)\$ /index.html?s=\$1 last; \
                          break; \
                      } \
                  } \
                  access_log  /var/log/nginx/access.log ; \
              } " > /etc/nginx/conf.d/default.conf \
    &&  mkdir  -p  /var/mes \
    &&  mkdir -p /var/mes/mes-pad

ADD / /var/mes/mes-pad/
EXPOSE 80
EXPOSE 443
